.\"	$NetBSD: boot.8,v 1.5 2003/06/30 11:53:22 wiz Exp $
.\"
.\" Copyright (c) 1992, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)boot_sparc.8	8.2 (Berkeley) 4/19/94
.\"
.Dd April 29, 2003
.Dt BOOT 8 sun2
.Os
.Sh NAME
.Nm boot
.Nd system bootstrapping procedures
.Sh SYNOPSIS
.Nm b
.Oo
.Ar dev
.Oo Pq Ar cntrl , unit , part
.Oc
.Oc
.Op Ar file
.Op Fl adqsv
.Sh DESCRIPTION
.Ss Power fail and crash recovery
Normally, the system will reboot itself at power-up or after crashes.
An automatic consistency check of the file systems will be performed
as described in
.Xr fsck 8 ,
and unless this fails, the system will resume multi-user operations.
.Ss Selecting the device and kernel to boot
Normally, the
.Nm b
command alone is sufficient to boot the system, as the PROM chooses
a default boot device
.Ar dev
if none is specified.
The PROM chooses the first device present on
the system from the following ordered list:
.Pp
.Bd -unfilled -offset indent -compact
sd	SCSI disk
ie	Intel Ethernet
ec	3Com Ethernet
.Ed
.Pp
Unless specified, the controller number
.Ar cntrl ,
unit number
.Ar unit ,
and partition number
.Ar part
default to zero, which is almost always correct.
.Pp
The controller number can
be specified if there is more than one of the given device in the system.
For example, use
.Dq ie(1,,)
to boot off of the second Intel Ethernet in the system.
.Pp
The unit number specifies one of the many devices attached to a
controller.
The exact meaning and values vary depending on the device name.
For example,
.Dq sd(,18,)
boots the disk at target 6 on the first SCSI controller, 18 being the target
number 6, multiplied by 4, and given in hexadecimal.
.Pp
The partition number specifies one of the many partitions on a device.
The exact meaning and values vary depending on the device name.
For example,
.Dq sd(,18,1)
boots the second partition on the disk at target 6 on the first SCSI
controller.
.Pp
The PROM only loads a first-stage boot program, currently either
.Pa /usr/mdec/bootxx
(for a disk boot), or
.Pa /usr/mdec/bootyy
(for a network boot).
This first-stage boot program then loads the
second-stage boot program from the same device, currently either
.Pa /usr/mdec/ufsboot
(for a disk boot), or
.Pa /usr/mdec/netboot
(for a network boot).
.Pp
The second-stage boot program will then attempt to load the kernel named
.Ar file
(or
.Pa vmunix
if none is specified).
The second-stage disk boot program
.Pa /usr/mdec/ufsboot
loads the kernel from the same device that it was loaded from,
while the second-stage network boot program
.Pa /usr/mdec/netboot
will load the kernel
from the NFS root as determined by the procedure described in
.Xr diskless 8 .
.Ss Boot program options
.Bl -tag -width xxx
.It Fl a
Prompt for the root file system device, the system crash dump
device, and the path to
.Xr init 8 .
.It Fl d
Bring the system up in debug mode.
Here it waits for a kernel debugger connect; see
.Xr ddb 4 .
.It Fl q
Boot the system in quiet mode.
.It Fl s
Bring the system up in single-user mode.
.It Fl v
Boot the system in verbose mode.
.El
.Pp
Other flags are currently ignored.
.Pp
At any time you can break back to the ROM by pressing the
.Sq L1
and
.Sq a
keys at the same time (if the console is a serial port the same is
achieved by sending a
.Sq break ) .
If you do this accidentally you can continue whatever was in progress
by typing
.Sq c
followed by the return key.
.Sh FILES
.Bl -tag -width /usr/mdec/installbootXX -compact
.It Pa /netbsd
system code
.It Pa /usr/mdec/bootxx
first-level boot block for disks
.It Pa /usr/mdec/bootyy
first-level boot block for NFS (diskless) boot
.It Pa /usr/mdec/netboot
boot program for NFS (diskless) boot
.It Pa /usr/mdec/ufsboot
second-level boot program for UFS disks
.It Pa /usr/sbin/installboot
program to install bootxx on a disk
.El
.Sh SEE ALSO
.\" .Xr crash 8 ,
.Xr disklabel 8 ,
.Xr fsck 8 ,
.Xr halt 8 ,
.Xr init 8 ,
.Xr rc 8 ,
.Xr shutdown 8 ,
.Xr syslogd 8
